Package org.apache.sling.distribution.journal.impl.subscriber

## Class DistributionSubscriber

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.subscriber.DistributionSubscriber

    @ParametersAreNonnullByDefault
    public class DistributionSubscriber
    extends Object

A Subscriber SCD agent which consumes messages produced by a `DistributionPublisher` agent.

### Constructor Summary

Constructors
`DistributionSubscriber()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `activate​(SubscriberConfiguration config, org.osgi.framework.BundleContext context, Map<String,​Object> properties)`
`void` `deactivate()`
`static String` `escapeTopicName​(URI messagingUri, String topicName)`
`org.apache.sling.distribution.agent.DistributionAgentState` `getState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DistributionSubscriber

    public DistributionSubscriber()

### Method Detail

#### activate

    public void activate​(SubscriberConfiguration config,
                         org.osgi.framework.BundleContext context,
                         Map<String,​Object> properties)

#### escapeTopicName

    public static String escapeTopicName​(URI messagingUri,
                                         String topicName)

#### deactivate

    public void deactivate()

#### getState

    public org.apache.sling.distribution.agent.DistributionAgentState getState()